479  
yum安装ERROR事务检查与依赖解决错误
作者: wyasw 于 2020年03月29日 发布在分类 / linux / 填过的坑 下,并于 2020年03月29日 编辑
yum

yum安装ERROR事务检查与依赖解决错误:

yum install docker-ce -y

安装出以下错误

事务检查与依赖解决错误:

libsepol(x86-64) = 2.5-8.1.el7  (已安裝) libsepol-devel-2.5-8.1.el7.x86_64 需要

libselinux(x86-64) = 2.5-12.el7  (已安裝) libselinux-devel-2.5-12.el7.x86_64 需要

** 发现 17 个已存在的 RPM 数据库问题, 'yum check' 输出如下:

elfutils-devel-0.170-4.el7.x86_64 有缺少的需求 elfutils-libs(x86-64) = ('0', '0.170', '4.el7')

elfutils-libelf-devel-0.170-4.el7.x86_64 有缺少的需求 elfutils-libelf(x86-64) = ('0', '0.170', '4.el7')

krb5-libs-1.15.1-19.el7.x86_64  krb5-libs-1.15.1-8.el7.x86_64 的副本

libcurl-devel-7.29.0-46.el7.x86_64 有缺少的需求 libcurl = ('0', '7.29.0', '46.el7')

libdb-devel-5.3.21-24.el7.x86_64 有缺少的需求 libdb(x86-64) = ('0', '5.3.21', '24.el7')

libgcc-4.8.5-28.el7_5.1.x86_64  libgcc-4.8.5-16.el7.x86_64 的副本

libgomp-4.8.5-28.el7_5.1.x86_64  libgomp-4.8.5-16.el7.x86_64 的副本

libselinux-devel-2.5-12.el7.x86_64 有缺少的需求 libselinux(x86-64) = ('0', '2.5', '12.el7')

libsepol-devel-2.5-8.1.el7.x86_64 有缺少的需求 libsepol(x86-64) = ('0', '2.5', '8.1.el7')

libstdc++-4.8.5-28.el7_5.1.x86_64  libstdc++-4.8.5-16.el7.x86_64 的副本

1:mariadb-libs-5.5.60-1.el7_5.x86_64  1:mariadb-libs-5.5.56-2.el7.x86_64 的副本

1:net-snmp-5.7.2-33.el7_5.2.x86_64 有缺少的需求 perl(Data::Dumper)

perl-ExtUtils-MakeMaker-6.68-3.el7.noarch 有缺少的需求 perl(Test::Harness)

rpm-devel-4.11.3-32.el7.x86_64 有缺少的需求 rpm = ('0', '4.11.3', '32.el7')

rpm-devel-4.11.3-32.el7.x86_64 有缺少的需求 rpm-build-libs(x86-64) = ('0', '4.11.3', '32.el7')

rpm-devel-4.11.3-32.el7.x86_64 有缺少的需求 rpm-libs(x86-64) = ('0', '4.11.3', '32.el7')

unixODBC-2.3.1-11.el7.x86_64 有缺少的需求 libltdl.so.7()(64bit)

您的事务已保存,请执行:

 yum load-transaction /tmp/yum_save_tx.2019-06-04.12-14.ic3Tnz.yumtx 重新执行该事务

解决方案:那个出错 yum update 那个

yum update -y libsepol

yum update -y libselinux

yum update -y elfutils-devel

yum update -y elfutils-libelf-devel

yum update -y libcurl-devel

yum update -y libdb-devel

yum update -y libgcc

yum update -y libgomp

yum update -y libselinux-devel

yum update -y libsepol-devel

yum update -y libstdc++

yum update -y mariadb-libs

yum update -y net-snmp

yum update -y perl-ExtUtils-MakeMaker

yum update -y rpm-devel

yum update -y unixODBC

再次yum install docker-ce -y没有报错。




 推荐知识

 历史版本

修改日期 修改人 备注
2020-03-29 21:29:02[当前版本] wyasw 创建版本

  目录
    文艺知识分享平台 - 4.3.0 - 文艺范儿